Description

When a change is made in Redmine - both Orangutan and Redmine will notify users about a change. But when a change is made in

Orangutan - only Orangutan will know about it. In some way this breaks proper behaviour of Redmine. And this should be fixed (I

guess users won’t be happy if they miss something).

Possible solution is to create special Redmine REST API for notifications. When a change is made Orangutan will call some

“function” to let Redmine know about the change. Then Redmine will emulate the change and notify everyone (we should ensure that

Orangutan won’t get these notifications or will be able to recognize them).

History

#1 - 03 Feb 2011 14:18 - Andrii Lundiak

do not forget ask people who was involved in SVS project - they were using REST access to Redmine and possible to FogsBugz

#2 - 03 Feb 2011 15:31 - Andriy Lesyuk

Current REST API does not allow what I want. So I will need to extend it. I’m sure that guys know nothing about what I want...

#3 - 01 Mar 2011 14:33 - Andriy Lesyuk

- Tracker changed from Feature to Bug

- Project changed from Orangutan to Orangutan::Redmine

#4 - 03 Mar 2011 13:08 - Andriy Lesyuk

- Tracker changed from Bug to Enhancement

#5 - 31 Aug 2011 16:42 - Andriy Lesyuk

By the way notifications-enabled REST API interface is a good feature not only for Orangutan...
